<?php

namespace Drupal\communities\Plugin\Block;

use Drupal\Core\Block\BlockBase;

/**
 * Provides a way for users to switch their Community.
 *
 * Class CommunitySelectionBlock.
 *
 * @package Drupal\Community\Plugin\Block
 *
 * @Block(
 *   id = "community_selection_block",
 *   admin_label=@Translation("Community Selection"),
 *   category=@Translation("Forms")
 * )
 */
class CommunitySelectionBlock extends BlockBase {

  /**
   * Builds and returns the renderable array for this block plugin.
   *
   * If a block should not be rendered because it has no content, then this
   * method must also ensure to return no content: it must then only return an
   * empty array, or an empty array with #cache set (with cacheability metadata
   * indicating the circumstances for it being empty).
   *
   * @return array
   *   A renderable array representing the content of the block.
   *
   * @see \Drupal\block\BlockViewBuilder
   */
  public function build() {
    return \Drupal::formBuilder()->getForm('Drupal\communities\Form\CommunitySelectionForm');
  }

}
