<?php

namespace Drupal\Tests\communities\Kernel\Entity;

use Drupal\communities\Entity\Community;
use Drupal\communities\Entity\Region;
use Drupal\Tests\token\Kernel\KernelTestBase;

/**
 * Class CommunityTest.
 */
class CommunityTest extends KernelTestBase {

  /**
   * {@inheritdoc}
   */
  public static $modules = [
    'communities',
  ];

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    // TODO: Change the autogenerated stub.
    parent::setUp();
    $this->installEntitySchema('communities_region');
    $this->installEntitySchema('community');
  }

  /**
   * Tests the creation of a region and a community.
   */
  public function testCommunityAndRegion() {
    $region = Region::create(['name' => 'Region A']);
    $region->save();
    $community = Community::create(['name' => 'Community A', 'communities_region' => $region->id()]);
    $community->save();

    $this->assertEquals('Region A', $region->getName());
    $this->assertEquals('Community A', $community->getName());

    $this->assertEquals('1', $region->id());
    $this->assertEquals($region->id(), $community->getRegion()->id());
  }

}
